cc = cc or {}
cc.TEXT_ALIGNMENT_CENTER = 0x1
cc.TEXT_ALIGNMENT_LEFT  = 0x0
cc.TEXT_ALIGNMENT_RIGHT = 0x2

local ConfigType = 
{
    NONE = 0,
    COCOSTUDIO = 1,
}

function __onParseConfig(configType,jasonStr)
    if configType == ConfigType.COCOSTUDIO then
        TriggerMng.getInstance():parse(jasonStr)
    end
end

cc.TargetPlatformType =
{
    Windows = "windows",
    IOS = "ios",
    Android = "android"
}

cc.TargetPlatform = CCApplication:sharedApplication():getTargetPlatform()

if cc.TargetPlatform == 5 or cc.TargetPlatform == 2 or cc.TargetPlatform == 4 then
    cc.TargetPlatform = cc.TargetPlatformType.IOS
elseif cc.TargetPlatform == 0 then
    cc.TargetPlatform = cc.TargetPlatformType.Windows
elseif cc.TargetPlatform == 2 then
    cc.TargetPlatform = cc.TargetPlatformType.Android
end